Subject: bug#5836 closed by Chong Yidong <[email-masked]> (Re: Incorrect behavior in vntelex.el input method)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Apr 2010 15:35:02 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5836: Incorrect behavior in vntelex.el input method

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
5836: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5836
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Incorrect behavior in vntelex.el input method
From: Chong Yidong <[email-masked]>
To: Ngoc Nguyen Bao <[email-masked]>
Cc: Werner LEMBERG <[email-masked]>, [email-masked]
Date: Tue, 06 Apr 2010 11:34:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> There is a small problem with vntelex.el input method. That is when
> you type "aff", the result should be "af" instead of "aff".  My emacs
> version is GNU Emacs 23.1.1 (i686-pc-linux-gnu, GTK+ Version 2.18.7)
> of 2010-03-16 on gen2pc.
>
> I made a patch here, hope you guys will fix it soon. It's quite
> annoying when typing in Vietnamese while this bug still exists.

Patch looks very safe, so I've committed it to the branch.  Thanks.

Subject: Incorrect behavior in vntelex.el input method
From: Ngoc Nguyen Bao <[email-masked]>
To: [email-masked]
Date: Mon, 5 Apr 2010 04:25:59 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
There is a small problem with vntelex.el input method. That is when you type
"aff", the result should be "af" instead of "aff".
My emacs version is GNU Emacs 23.1.1 (i686-pc-linux-gnu, GTK+ Version
2.18.7) of 2010-03-16 on gen2pc.

I made a patch here, hope you guys will fix it soon. It's quite annoying
when typing in Vietnamese while this bug still exists.

Thanks.
--
Nguyễn Bảo Ngọc

*** /usr/share/emacs/23.1/leim/quail/vntelex.el.old 2010-04-05
04:22:53.000000000 +0700
--- /usr/share/emacs/23.1/leim/quail/vntelex.el 2010-04-05
04:11:55.000000000 +0700
***************
*** 285,291 ****
   ("Dd" ?Đ)
  ;("$$" ?₫) ; U+20AB DONG SIGN (#### check)

!  ("aff" ["aff"])
   ("AFF" ["AF"])
   ("Aff" ["Af"])
   ("ass" ["as"])
--- 285,291 ----
   ("Dd" ?Đ)
  ;("$$" ?₫) ; U+20AB DONG SIGN (#### check)

!  ("aff" ["af"])
   ("AFF" ["AF"])
   ("Aff" ["Af"])
   ("ass" ["as"])